Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mirror.util
Interface Declarations

    public interface Declarations

Utility methods for operating on declarations.

Since:
  1.5

Method Summary
`boolean` | `hides(MemberDeclaration sub, MemberDeclaration sup)` Tests whether one type, method, or field declaration hides another.
`boolean` | `overrides(MethodDeclaration sub, MethodDeclaration sup)` Tests whether one method overrides another.

Method Detail

### hides

    boolean hides(MemberDeclaration sub,
                  MemberDeclaration sup)

  Tests whether one type, method, or field declaration hides another.

  Parameters:
    `sub` - the first member
    `sup` - the second member
  Returns:
    `true` if and only if the first member hides the second

### overrides

    boolean overrides(MethodDeclaration sub,
                      MethodDeclaration sup)

  Tests whether one method overrides another. When a non-abstract method overrides an abstract one, the former is also said to implement the latter.

  Parameters:
    `sub` - the first method
    `sup` - the second method
  Returns:
    `true` if and only if the first method overrides the second

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Report a bug or request a feature.
Copyright 2004 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.